/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { PercentageVolumeOscillatorIndicatorStrategy } from "./PercentageVolumeOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class PercentageVolumeOscillatorIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new PercentageVolumeOscillatorIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return PercentageVolumeOscillatorIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get shortPeriod() {
        return typeGetValue(this.c(PercentageVolumeOscillatorIndicator.qp));
    }
    set shortPeriod(a) {
        this.h(PercentageVolumeOscillatorIndicator.qp, a);
    }
    qb() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(PercentageVolumeOscillatorIndicator.qo));
    }
    set longPeriod(a) {
        this.h(PercentageVolumeOscillatorIndicator.qo, a);
    }
    p8() {
        return this.longPeriod;
    }
}
PercentageVolumeOscillatorIndicator.$t = markType(PercentageVolumeOscillatorIndicator, 'PercentageVolumeOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
PercentageVolumeOscillatorIndicator.qp = StrategyBasedIndicator.qn(10, PercentageVolumeOscillatorIndicator.$);
PercentageVolumeOscillatorIndicator.qo = StrategyBasedIndicator.qj(30, PercentageVolumeOscillatorIndicator.$);
